
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIMAN_PRINT_H
#define VIMAN_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/viamPrint.h"

#include "server/genManipPrint.h"

#include "server/genBasicPrint.h"


#include "vimanPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( FILE *out,
     struct VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VIMAN_OBJECTPOSE_POSTER_STR ( FILE *out,
     struct VIMAN_OBJECTPOSE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( FILE *out,
     struct VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( FILE *out,
     struct VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VIMAN_STR ( FILE *out,
     struct VIMAN_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanImage ( FILE *out,
     struct VimanImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanInitStr ( FILE *out,
     struct VimanInitStr *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_VimanInputStream ( FILE *out,
     enum VimanInputStream *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanObjectPublicArray ( FILE *out,
     struct VimanObjectPublicArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanObjectArray ( FILE *out,
     struct VimanObjectArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanObjectPublic ( FILE *out,
     struct VimanObjectPublic *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_VimanObjSymMotion ( FILE *out,
     enum VimanObjSymMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanTime ( FILE *out,
     struct VimanTime *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanObject ( FILE *out,
     struct VimanObject *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_VimanBool ( FILE *out,
     enum VimanBool *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanEuler ( FILE *out,
     struct VimanEuler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanThetaMat ( FILE *out,
     struct VimanThetaMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanPoint2D ( FILE *out,
     struct VimanPoint2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanCorrectionVec ( FILE *out,
     struct VimanCorrectionVec *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanMotionMat ( FILE *out,
     struct VimanMotionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_VimanString ( FILE *out,
     struct VimanString *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_VimanString ( FILE *out,
     VimanString *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanMotionMat ( FILE *out,
     VimanMotionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanCorrectionVec ( FILE *out,
     VimanCorrectionVec *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanPoint2D ( FILE *out,
     VimanPoint2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanThetaMat ( FILE *out,
     VimanThetaMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanEuler ( FILE *out,
     VimanEuler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanBool ( FILE *out,
     VimanBool *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanObject ( FILE *out,
     VimanObject *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanTime ( FILE *out,
     VimanTime *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanObjSymMotion ( FILE *out,
     VimanObjSymMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanObjectPublic ( FILE *out,
     VimanObjectPublic *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanObjectArray ( FILE *out,
     VimanObjectArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanObjectPublicArray ( FILE *out,
     VimanObjectPublicArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanInputStream ( FILE *out,
     VimanInputStream *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanInitStr ( FILE *out,
     VimanInitStr *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VimanImage ( FILE *out,
     VimanImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VIMAN_STR ( FILE *out,
     VIMAN_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( FILE *out,
     VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( FILE *out,
     VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VIMAN_OBJECTPOSE_POSTER_STR ( FILE *out,
     VIMAN_OBJECTPOSE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( FILE *out,
     VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* VIMAN_PRINT_H */

