
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIMAN_PRINTXML_H
#define VIMAN_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/viamPrintXML.h"

#include "server/genManipPrintXML.h"

#include "server/genBasicPrintXML.h"


#include "vimanPosterLib.h"

/* Prototypes */
extern void printXML_struct_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( FILE *out, char *name,
     struct VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VIMAN_OBJECTPOSE_POSTER_STR ( FILE *out, char *name,
     struct VIMAN_OBJECTPOSE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( FILE *out, char *name,
     struct VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( FILE *out, char *name,
     struct VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VIMAN_STR ( FILE *out, char *name,
     struct VIMAN_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanImage ( FILE *out, char *name,
     struct VimanImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanInitStr ( FILE *out, char *name,
     struct VimanInitStr *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_VimanInputStream ( FILE *out, char *name,
     enum VimanInputStream *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanObjectPublicArray ( FILE *out, char *name,
     struct VimanObjectPublicArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanObjectArray ( FILE *out, char *name,
     struct VimanObjectArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanObjectPublic ( FILE *out, char *name,
     struct VimanObjectPublic *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_VimanObjSymMotion ( FILE *out, char *name,
     enum VimanObjSymMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanTime ( FILE *out, char *name,
     struct VimanTime *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanObject ( FILE *out, char *name,
     struct VimanObject *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_VimanBool ( FILE *out, char *name,
     enum VimanBool *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanEuler ( FILE *out, char *name,
     struct VimanEuler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanThetaMat ( FILE *out, char *name,
     struct VimanThetaMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanPoint2D ( FILE *out, char *name,
     struct VimanPoint2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanCorrectionVec ( FILE *out, char *name,
     struct VimanCorrectionVec *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanMotionMat ( FILE *out, char *name,
     struct VimanMotionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_VimanString ( FILE *out, char *name,
     struct VimanString *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_VimanString ( FILE *out, char *name,
     VimanString *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanMotionMat ( FILE *out, char *name,
     VimanMotionMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanCorrectionVec ( FILE *out, char *name,
     VimanCorrectionVec *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanPoint2D ( FILE *out, char *name,
     VimanPoint2D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanThetaMat ( FILE *out, char *name,
     VimanThetaMat *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanEuler ( FILE *out, char *name,
     VimanEuler *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanBool ( FILE *out, char *name,
     VimanBool *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanObject ( FILE *out, char *name,
     VimanObject *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanTime ( FILE *out, char *name,
     VimanTime *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanObjSymMotion ( FILE *out, char *name,
     VimanObjSymMotion *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanObjectPublic ( FILE *out, char *name,
     VimanObjectPublic *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanObjectArray ( FILE *out, char *name,
     VimanObjectArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanObjectPublicArray ( FILE *out, char *name,
     VimanObjectPublicArray *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanInputStream ( FILE *out, char *name,
     VimanInputStream *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanInitStr ( FILE *out, char *name,
     VimanInitStr *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VimanImage ( FILE *out, char *name,
     VimanImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VIMAN_STR ( FILE *out, char *name,
     VIMAN_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VIMAN_OBJECTPOSEEXPORTED_POSTER_STR ( FILE *out, char *name,
     VIMAN_OBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR ( FILE *out, char *name,
     VIMAN_FILTEREDOBJECTPOSEEXPORTED_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VIMAN_OBJECTPOSE_POSTER_STR ( FILE *out, char *name,
     VIMAN_OBJECTPOSE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR ( FILE *out, char *name,
     VIMAN_TIMEOFLASTTRACKEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* VIMAN_PRINT_XML_H */

