
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] vimanInstall] >= 0 } {
    interp expose {} vimanInstall
}

proc ::vimanInstall { name } {
    foreach rqst { "Init" "SetTrackingUserMode" "ActivateTracking" "SetCameraLeftPose" "GetCameraLeftPose" "GetCameraRightPose" "SetImageFrameCorrection" "SetRobotFrameCorrection" "Stop" "GetObjectPose" "SetExportObjectName" "GetFullObjectPose" "SetThresholdARToolKit" "ObjectPoseExportedobjectExportedPosterRead" "FilteredObjectPoseExportedfilteredobjectExportedPosterRead" "ObjectPoseobjectPublicArrayPosterRead" "TimeOfLastTrackedImagetimePosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} viman$rqst $name
    }
}

interp hide {} vimanInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] vimanInit] >= 0 } {
    interp expose {} vimanInit
}
if { [lsearch [interp hidden] vimanInitFormatOutput] >= 0 } {
    interp expose {} vimanInitFormatOutput
}

proc ::vimanInit { name args } {
    set format {}
    lappend format [list { "VIMAN_INPUT_WEBCAM" "VIMAN_INPUT_VIAM" "VIMAN_NO_INPUT" } "Input video stream" "VIMAN_INPUT_VIAM" ]
    lappend format [list { "VIMAN_ENABLE" "VIMAN_DISABLE" } "stereo" "VIMAN_DISABLE" ]
    lappend format [list { "VIMAN_ENABLE" "VIMAN_DISABLE" } "color" "VIMAN_DISABLE" ]
    lappend format [list string "param file path" "/usr/local/openrobots/data/viman/" ]
    lappend format [list string "Input poster name" "viamBankArm" ]
    lappend format [list string "Left camera name" "CameraArmLeft" ]
    lappend format [list string "Right camera name" "CameraArmRight" ]
    lappend format [list double "Stereo ratio baseline" 1.000000 ]
    lappend format [list { "VIMAN_ENABLE" "VIMAN_DISABLE" } "Display status" "VIMAN_ENABLE" ]
    lappend format [list int "initStruct.unused" 0 ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"<some doc>" \
	"VimanInitStr\n| VimanInputStream inputStream\n| VimanBool stereo\n| VimanBool color\n| char filePath\[512\]\n| char viamPosterName\[100\]\n| char viamImageLeftName\[100\]\n| char viamImageRightName\[100\]\n| double stereoRatioBaseline\n| VimanBool display\n| int unused\n" \
	10 \
	$format \
	$args ]
}


proc ::vimanInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanInit
interp hide {} vimanInitFormatOutput





# SetTrackingUserMode ----------------------------------------------------------

if { [lsearch [interp hidden] vimanSetTrackingUserMode] >= 0 } {
    interp expose {} vimanSetTrackingUserMode
}
if { [lsearch [interp hidden] vimanSetTrackingUserModeFormatOutput] >= 0 } {
    interp expose {} vimanSetTrackingUserModeFormatOutput
}

proc ::vimanSetTrackingUserMode { name args } {
    set format {}
    lappend format [list { "VIMAN_ENABLE" "VIMAN_DISABLE" } "tracking user mode" "VIMAN_ENABLE" ]

    return [ ::cs::rqstSend "${name}" "SetTrackingUserMode" \
	"<some doc>" \
	"VimanBool flagUserTracking\n" \
	1 \
	$format \
	$args ]
}


proc ::vimanSetTrackingUserModeFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanSetTrackingUserMode
interp hide {} vimanSetTrackingUserModeFormatOutput





# ActivateTracking ----------------------------------------------------------

if { [lsearch [interp hidden] vimanActivateTracking] >= 0 } {
    interp expose {} vimanActivateTracking
}
if { [lsearch [interp hidden] vimanActivateTrackingFormatOutput] >= 0 } {
    interp expose {} vimanActivateTrackingFormatOutput
}

proc ::vimanActivateTracking { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "ActivateTracking" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::vimanActivateTrackingFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanActivateTracking
interp hide {} vimanActivateTrackingFormatOutput





# SetCameraLeftPose ----------------------------------------------------------

if { [lsearch [interp hidden] vimanSetCameraLeftPose] >= 0 } {
    interp expose {} vimanSetCameraLeftPose
}
if { [lsearch [interp hidden] vimanSetCameraLeftPoseFormatOutput] >= 0 } {
    interp expose {} vimanSetCameraLeftPoseFormatOutput
}

proc ::vimanSetCameraLeftPose { name args } {
    set format {}
    lappend format [list double "CAMERA_LEFT_ROB_POSE.nx" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.ny" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.nz" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.ox" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.oy" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.oz" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.ax" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.ay" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.az" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.px" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.py" 0.0 ]
    lappend format [list double "CAMERA_LEFT_ROB_POSE.pz" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetCameraLeftPose" \
	"<some doc>" \
	"VimanThetaMat\n| double nx\n| double ny\n| double nz\n| double ox\n| double oy\n| double oz\n| double ax\n| double ay\n| double az\n| double px\n| double py\n| double pz\n" \
	12 \
	$format \
	$args ]
}


proc ::vimanSetCameraLeftPoseFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanSetCameraLeftPose
interp hide {} vimanSetCameraLeftPoseFormatOutput





# GetCameraLeftPose ----------------------------------------------------------

if { [lsearch [interp hidden] vimanGetCameraLeftPose] >= 0 } {
    interp expose {} vimanGetCameraLeftPose
}
if { [lsearch [interp hidden] vimanGetCameraLeftPoseFormatOutput] >= 0 } {
    interp expose {} vimanGetCameraLeftPoseFormatOutput
}

proc ::vimanGetCameraLeftPose { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetCameraLeftPose" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::vimanGetCameraLeftPoseFormatOutput { list } {
    set format { {} status { } { CAMERA_LEFT_ROB_POSE { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanGetCameraLeftPose
interp hide {} vimanGetCameraLeftPoseFormatOutput





# GetCameraRightPose ----------------------------------------------------------

if { [lsearch [interp hidden] vimanGetCameraRightPose] >= 0 } {
    interp expose {} vimanGetCameraRightPose
}
if { [lsearch [interp hidden] vimanGetCameraRightPoseFormatOutput] >= 0 } {
    interp expose {} vimanGetCameraRightPoseFormatOutput
}

proc ::vimanGetCameraRightPose { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetCameraRightPose" \
	"<some doc>" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::vimanGetCameraRightPoseFormatOutput { list } {
    set format { {} status { } { CAMERA_RIGHT_ROB_POSE { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanGetCameraRightPose
interp hide {} vimanGetCameraRightPoseFormatOutput





# SetImageFrameCorrection ----------------------------------------------------------

if { [lsearch [interp hidden] vimanSetImageFrameCorrection] >= 0 } {
    interp expose {} vimanSetImageFrameCorrection
}
if { [lsearch [interp hidden] vimanSetImageFrameCorrectionFormatOutput] >= 0 } {
    interp expose {} vimanSetImageFrameCorrectionFormatOutput
}

proc ::vimanSetImageFrameCorrection { name args } {
    set format {}
    lappend format [list double "Adjustment of X in image frame" 0.000000 ]
    lappend format [list double "Adjustment of Y in image frame" 0.000000 ]
    lappend format [list double "Adjustment of Z in image frame" 0.000000 ]

    return [ ::cs::rqstSend "${name}" "SetImageFrameCorrection" \
	"<some doc>" \
	"VimanCorrectionVec\n| double dx\n| double dy\n| double dz\n" \
	3 \
	$format \
	$args ]
}


proc ::vimanSetImageFrameCorrectionFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanSetImageFrameCorrection
interp hide {} vimanSetImageFrameCorrectionFormatOutput





# SetRobotFrameCorrection ----------------------------------------------------------

if { [lsearch [interp hidden] vimanSetRobotFrameCorrection] >= 0 } {
    interp expose {} vimanSetRobotFrameCorrection
}
if { [lsearch [interp hidden] vimanSetRobotFrameCorrectionFormatOutput] >= 0 } {
    interp expose {} vimanSetRobotFrameCorrectionFormatOutput
}

proc ::vimanSetRobotFrameCorrection { name args } {
    set format {}
    lappend format [list double "Adjustment of X in robot frame" 0.000000 ]
    lappend format [list double "Adjustment of Y in robot frame" 0.000000 ]
    lappend format [list double "Adjustment of Z in robot frame" 0.000000 ]

    return [ ::cs::rqstSend "${name}" "SetRobotFrameCorrection" \
	"<some doc>" \
	"VimanCorrectionVec\n| double dx\n| double dy\n| double dz\n" \
	3 \
	$format \
	$args ]
}


proc ::vimanSetRobotFrameCorrectionFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanSetRobotFrameCorrection
interp hide {} vimanSetRobotFrameCorrectionFormatOutput





# Stop ----------------------------------------------------------

if { [lsearch [interp hidden] vimanStop] >= 0 } {
    interp expose {} vimanStop
}
if { [lsearch [interp hidden] vimanStopFormatOutput] >= 0 } {
    interp expose {} vimanStopFormatOutput
}

proc ::vimanStop { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Stop" \
	"Stop Tracking" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::vimanStopFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanStop
interp hide {} vimanStopFormatOutput





# GetObjectPose ----------------------------------------------------------

if { [lsearch [interp hidden] vimanGetObjectPose] >= 0 } {
    interp expose {} vimanGetObjectPose
}
if { [lsearch [interp hidden] vimanGetObjectPoseFormatOutput] >= 0 } {
    interp expose {} vimanGetObjectPoseFormatOutput
}

proc ::vimanGetObjectPose { name args } {
    set format {}
    lappend format [list string "objectName" "baseFrame" ]

    return [ ::cs::rqstSend "${name}" "GetObjectPose" \
	"<some doc>" \
	"VimanString\n| char str\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::vimanGetObjectPoseFormatOutput { list } {
    set format { {} status { } { thetaMat { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanGetObjectPose
interp hide {} vimanGetObjectPoseFormatOutput





# SetExportObjectName ----------------------------------------------------------

if { [lsearch [interp hidden] vimanSetExportObjectName] >= 0 } {
    interp expose {} vimanSetExportObjectName
}
if { [lsearch [interp hidden] vimanSetExportObjectNameFormatOutput] >= 0 } {
    interp expose {} vimanSetExportObjectNameFormatOutput
}

proc ::vimanSetExportObjectName { name args } {
    set format {}
    lappend format [list string "objectNameToExport.str" "" ]

    return [ ::cs::rqstSend "${name}" "SetExportObjectName" \
	"<some doc>" \
	"VimanString\n| char str\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::vimanSetExportObjectNameFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanSetExportObjectName
interp hide {} vimanSetExportObjectNameFormatOutput





# GetFullObjectPose ----------------------------------------------------------

if { [lsearch [interp hidden] vimanGetFullObjectPose] >= 0 } {
    interp expose {} vimanGetFullObjectPose
}
if { [lsearch [interp hidden] vimanGetFullObjectPoseFormatOutput] >= 0 } {
    interp expose {} vimanGetFullObjectPoseFormatOutput
}

proc ::vimanGetFullObjectPose { name args } {
    set format {}
    lappend format [list string "objectName" "baseFrame" ]

    return [ ::cs::rqstSend "${name}" "GetFullObjectPose" \
	"<some doc>" \
	"VimanString\n| char str\[512\]\n" \
	1 \
	$format \
	$args ]
}


proc ::vimanGetFullObjectPoseFormatOutput { list } {
    set format { {} status { } { objectPublic { } tacq_usec { } tacq_sec { } name { } found_Left { } found_Right { } found_Stereo { } motion { } { thetaMatRobot { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } { } { eulerRobot { } x { } y { } z { } yaw { } pitch { } roll } { } { thetaMatOrigin { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } { } { eulerOrigin { } x { } y { } z { } yaw { } pitch { } roll } { } { thetaMatCam { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } { } { eulerOrigin30 { } x { } y { } z { } yaw { } pitch { } roll } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanGetFullObjectPose
interp hide {} vimanGetFullObjectPoseFormatOutput





# SetThresholdARToolKit ----------------------------------------------------------

if { [lsearch [interp hidden] vimanSetThresholdARToolKit] >= 0 } {
    interp expose {} vimanSetThresholdARToolKit
}
if { [lsearch [interp hidden] vimanSetThresholdARToolKitFormatOutput] >= 0 } {
    interp expose {} vimanSetThresholdARToolKitFormatOutput
}

proc ::vimanSetThresholdARToolKit { name args } {
    set format {}
    lappend format [list int "value" -1 ]

    return [ ::cs::rqstSend "${name}" "SetThresholdARToolKit" \
	"<some doc>" \
	"int thresholdARToolKit\n" \
	1 \
	$format \
	$args ]
}


proc ::vimanSetThresholdARToolKitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanSetThresholdARToolKit
interp hide {} vimanSetThresholdARToolKitFormatOutput





# ObjectPoseExportedobjectExported ----------------------------------------------------------

if { [lsearch [interp hidden] vimanObjectPoseExportedobjectExportedPosterRead] >= 0 } {
    interp expose {} vimanObjectPoseExportedobjectExportedPosterRead
}
if { [lsearch [interp hidden] vimanObjectPoseExportedobjectExportedPosterFormatOutput] >= 0 } {
    interp expose {} vimanObjectPoseExportedobjectExportedPosterFormatOutput
}

proc ::vimanObjectPoseExportedobjectExportedPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ObjectPoseExportedobjectExported" \
	"GENMANIP_POSE_STR\n| GEN_BOOL available\n| Gb_th\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n" \
	$args ]
}


proc ::vimanObjectPoseExportedobjectExportedPosterFormatOutput { list } {
    set format { {} status { } { objectExported { } available { } { th { } { vx { } x { } y { } z } { } { vy { } x { } y { } z } { } { vz { } x { } y { } z } { } { vp { } x { } y { } z } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanObjectPoseExportedobjectExportedPosterRead
interp hide {} vimanObjectPoseExportedobjectExportedPosterFormatOutput





# FilteredObjectPoseExportedfilteredobjectExported ----------------------------------------------------------

if { [lsearch [interp hidden] vimanFilteredObjectPoseExportedfilteredobjectExportedPosterRead] >= 0 } {
    interp expose {} vimanFilteredObjectPoseExportedfilteredobjectExportedPosterRead
}
if { [lsearch [interp hidden] vimanFilteredObjectPoseExportedfilteredobjectExportedPosterFormatOutput] >= 0 } {
    interp expose {} vimanFilteredObjectPoseExportedfilteredobjectExportedPosterFormatOutput
}

proc ::vimanFilteredObjectPoseExportedfilteredobjectExportedPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "FilteredObjectPoseExportedfilteredobjectExported" \
	"GENMANIP_POSE_STR\n| GEN_BOOL available\n| Gb_th\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n| | Gb_v3\n| | | double x\n| | | double y\n| | | double z\n" \
	$args ]
}


proc ::vimanFilteredObjectPoseExportedfilteredobjectExportedPosterFormatOutput { list } {
    set format { {} status { } { filteredobjectExported { } available { } { th { } { vx { } x { } y { } z } { } { vy { } x { } y { } z } { } { vz { } x { } y { } z } { } { vp { } x { } y { } z } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanFilteredObjectPoseExportedfilteredobjectExportedPosterRead
interp hide {} vimanFilteredObjectPoseExportedfilteredobjectExportedPosterFormatOutput





# ObjectPoseobjectPublicArray ----------------------------------------------------------

if { [lsearch [interp hidden] vimanObjectPoseobjectPublicArrayPosterRead] >= 0 } {
    interp expose {} vimanObjectPoseobjectPublicArrayPosterRead
}
if { [lsearch [interp hidden] vimanObjectPoseobjectPublicArrayPosterFormatOutput] >= 0 } {
    interp expose {} vimanObjectPoseobjectPublicArrayPosterFormatOutput
}

proc ::vimanObjectPoseobjectPublicArrayPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "ObjectPoseobjectPublicArray" \
	"VimanObjectPublicArray\n| int nbObjects\n| int unused\n| VimanObjectPublic\n| | unsigned long int tacq_usec\n| | unsigned long int tacq_sec\n| | char name\[512\]\n| | int found_Left\n| | int found_Right\n| | int found_Stereo\n| | VimanObjSymMotion motion\n| | VimanThetaMat\n| | | double nx\n| | | double ny\n| | | double nz\n| | | double ox\n| | | double oy\n| | | double oz\n| | | double ax\n| | | double ay\n| | | double az\n| | | double px\n| | | double py\n| | | double pz\n| | VimanEuler\n| | | double x\n| | | double y\n| | | double z\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | VimanThetaMat\n| | | double nx\n| | | double ny\n| | | double nz\n| | | double ox\n| | | double oy\n| | | double oz\n| | | double ax\n| | | double ay\n| | | double az\n| | | double px\n| | | double py\n| | | double pz\n| | VimanEuler\n| | | double x\n| | | double y\n| | | double z\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | VimanThetaMat\n| | | double nx\n| | | double ny\n| | | double nz\n| | | double ox\n| | | double oy\n| | | double oz\n| | | double ax\n| | | double ay\n| | | double az\n| | | double px\n| | | double py\n| | | double pz\n| | VimanEuler\n| | | double x\n| | | double y\n| | | double z\n| | | double yaw\n| | | double pitch\n| | | double roll\n" \
	$args ]
}


proc ::vimanObjectPoseobjectPublicArrayPosterFormatOutput { list } {
    set format { {} status { } { objectPublicArray { } nbObjects { } unused { 30 } { objects { } tacq_usec { } tacq_sec { } name { } found_Left { } found_Right { } found_Stereo { } motion { } { thetaMatRobot { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } { } { eulerRobot { } x { } y { } z { } yaw { } pitch { } roll } { } { thetaMatOrigin { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } { } { eulerOrigin { } x { } y { } z { } yaw { } pitch { } roll } { } { thetaMatCam { } nx { } ny { } nz { } ox { } oy { } oz { } ax { } ay { } az { } px { } py { } pz } { } { eulerOrigin30 { } x { } y { } z { } yaw { } pitch { } roll } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanObjectPoseobjectPublicArrayPosterRead
interp hide {} vimanObjectPoseobjectPublicArrayPosterFormatOutput





# TimeOfLastTrackedImagetime ----------------------------------------------------------

if { [lsearch [interp hidden] vimanTimeOfLastTrackedImagetimePosterRead] >= 0 } {
    interp expose {} vimanTimeOfLastTrackedImagetimePosterRead
}
if { [lsearch [interp hidden] vimanTimeOfLastTrackedImagetimePosterFormatOutput] >= 0 } {
    interp expose {} vimanTimeOfLastTrackedImagetimePosterFormatOutput
}

proc ::vimanTimeOfLastTrackedImagetimePosterRead { name args } {

    return [ ::cs::posterRead "${name}" "TimeOfLastTrackedImagetime" \
	"VimanTime\n| unsigned int tacq_usec\n| unsigned int tacq_sec\n" \
	$args ]
}


proc ::vimanTimeOfLastTrackedImagetimePosterFormatOutput { list } {
    set format { {} status { } { time { } tacq_usec { } tacq_sec } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} vimanTimeOfLastTrackedImagetimePosterRead
interp hide {} vimanTimeOfLastTrackedImagetimePosterFormatOutput


